Use int64_t for cell and uint64_t for ucell.
Define printf-style format macros to ease writing cell-type-independend log traces.

Index: openbios-devel/include/sparc64/types.h
===================================================================
--- openbios-devel.orig/include/sparc64/types.h
+++ openbios-devel/include/sparc64/types.h
@@ -29,8 +29,12 @@ typedef long long       int64_t;
 #include "autoconf.h"
 
 /* cell based types */
-typedef long long          cell;
-typedef unsigned long long ucell;
+typedef int64_t   cell;
+typedef uint64_t  ucell;
+
+#define FMT_cell   "%lld"
+#define FMT_ucell   "%llu"
+#define FMT_ucellx  "%016llx"
 
 #ifdef NEED_FAKE_INT128_T
 typedef struct {


